Skip to main content
POST
/
api2
/
v1
/
webhooksCalls
/
replay
/
latest
Replay last webhook calls
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/webhooksCalls/replay/latest \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/webhooksCalls/replay/latest"

headers = {"Authorization": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/webhooksCalls/replay/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

numberOfCalls
integer<int32>
default:5

Number of calls to be replayed

Required range: 1 <= x <= 100
events
enum<string>[]

List of Webhook events to filter by

Available options:
JOB_STATUS_CHANGED,
JOB_CREATED,
JOB_DELETED,
JOB_UNSHARED,
JOB_ASSIGNED,
JOB_DUE_DATE_CHANGED,
JOB_UPDATED,
JOB_TARGET_UPDATED,
JOB_EXPORTED,
JOB_UNEXPORTED,
JOB_AUTO_LQA_FINISHED,
JOB_METADATA_UPDATED,
JOB_CUSTOM_FIELDS_UPDATED,
PROJECT_CREATED,
PROJECT_DELETED,
PROJECT_UNSHARED,
PROJECT_STATUS_CHANGED,
PROJECT_DUE_DATE_CHANGED,
SHARED_PROJECT_ASSIGNED,
PROJECT_METADATA_UPDATED,
PRE_TRANSLATION_FINISHED,
ANALYSIS_CREATED,
CONTINUOUS_JOB_UPDATED,
PROJECT_TEMPLATE_CREATED,
PROJECT_TEMPLATE_UPDATED,
PROJECT_TEMPLATE_DELETED,
RAW_MT_CONVERTER_IMPORT_FINISHED,
RAW_MT_PRE_TRANSLATION_FINISHED,
RAW_MT_QUALITY_ESTIMATION_FINISHED,
TERM_BASE_TERM_CREATED,
TERM_BASE_TERM_UPDATED,
TERM_BASE_TERM_DELETED,
TERM_BASE_CONCEPT_CREATED,
TERM_BASE_CONCEPT_UPDATED,
TERM_BASE_CONCEPT_DELETED,
TERM_BASE_IMPORTED
status
enum<string>

Status of Webhook calls to filter by

Available options:
SUCCESS,
FAIL

Response

Accepted